Subject: bug#23893: 24.5; Emacs vfork error

From: Ken Brown <[email-masked]>
Date: Mon, 4 Jul 2016 12:35:46 -0400

On 7/4/2016 12:05 PM, Noam Postavsky wrote:
> On Mon, Jul 4, 2016 at 11:38 AM, Jim Hurt <[email-masked]> wrote:
>>
>> Several days ago, while using Emacs to edit LaTeX files, while
>> successfully editing one such file I tried to open another, and got the
>> message:
>>
>> File mode specification error: (file-error "Doing vfork" "Resource temporarily unavailable")
>>
>> I have tried doing a rebaseall, setting the rebase switch then updating
>> cygwin, and uninstalling then reinstallin cygwin, all to no avail.
>
> According to https://www.cygwin.com/ml/cygwin/2015-05/msg00333.html,
> you should do
>
> rebase-trigger fullrebase (then reboot, and rerun setup.exe)
>
> not rebaseall.
>
>
> Also seems relevant:
> https://www.cygwin.com/faq.html#faq.using.fixing-fork-failures

I would just add that if you (the OP) are unable to solve the problem by 
rebasing, then you should make a report to the Cygwin mailing list 
following the guidelines at

   http://cygwin.com/problems.html ,

especially the part about attaching cygcheck output.  It could be that 
you have too many DLLs installed for 32-bit Cygwin.  (If it's possible 
for you to switch to 64-bit Cygwin, your rebase problems will go away.)

This is not an Emacs bug.

Ken